Basic search by establishment ID
Introduction
This API is responsible for fetching the EPFO Establishment Info based on Establishment IDs. It also generates monthly summary of the Establishment's transactions for the number of months provided.
cURL
curl --location 'https://api-preproduction.signzy.app/api/v3/underwriting/fetch-establishment-info' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Auth Token>' \
--data '{
"establishmentId": "<Establishment ID>",
"months": <Num of Month>
}'Request Headers
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"establishmentId": "PUPUN1753022000",
"months": 2
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
establishmentId | This is an unique 15 character long alphanumeric string associated with an Establishment | String | COMPULSORY |
months | This denotes the number of months to look back starting from current date to get monthly summary of transactions. At present, we can get the summary for upto 4 months. | Integer (max 4) | COMPULSORY |
Response Data
{
"result": {
"establishmentStatus": "Active",
"establishmentInfo": {
"address": "18 B, KUBERA BAHAR BUNGLOWS, SOC 131 2 BANER PASHAN LINK ROAD",
"city": "PUNE",
"country": "India",
"dateOfSetupOfEstablishment": "03-NOV-2015",
"district": "PUNE",
"epfoOfficeAddress": "2-3rd Flr,Pune Cant. Board Blding, Near Golibar Maidan, Camp,",
"epfoOfficeName": "PUNE",
"esicCode": "",
"establishmentCode": "PUPUN1753022000",
"nameOfEstablishment": "SIGNZY TECHNOLOGIES PRIVATE LIMITED",
"ownershipType": "Private Limited Company",
"panStatus": "VERIFIED",
"pinCode": "411021",
"primaryBusinessActivity": "ESTABLISHMENT ENGAGED IN MANUFACTURE, MARKETING SERVICING, USAGE OF COMPUTERS",
"region": "MH - PUNE",
"sectionApplicable": "OTHER ESTABLISHMENTS IN WHICH EMPLOYING 20 OR MORE PERSONS AND NOTIFIED BY THE CENTRAL GOVT.",
"state": "MAHARASHTRA",
"zone": "MAHARASHTRA AND CHHATTISGARH"
},
"transactions": {
"monthlySummary": [
{
"delayInDay": 0,
"isDelay": "No",
"totalAmount": "3131191",
"totalEmployees": "283",
"salaryMonth": "SEP-23"
},
{
"delayInDay": 0,
"isDelay": "No",
"totalAmount": "3280458",
"totalEmployees": "303",
"salaryMonth": "OCT-23"
}
]
}
}
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
result | This parameter contains the actual output i.e. an object consisting of sub-fields such as 'establishmentStatus', 'establishmentInfo', 'transactions' | Object | COMPULSORY |
result.establishmentStatus | This denotes if the establishment is Active or Inactive | String | COMPULSORY |
result.establishmentInfo | This denotes basic information about the establishment which included sub-fields such as 'address', 'city', 'country', 'dateOfSetupOfEstablishment', 'panStatus', 'primaryBusinessActivity'. All the sub-fields have the value as string. | Object | COMPULSORY |
result.transactions.monthlySummary | This represents the list of monthly summary for the Establishment with sub-fields such as 'delayInDay', 'isDelay', 'totalAmount', 'totalEmployees', 'salaryMonth' | List[Object] | COMPULSORY |
NOTE: Above fields are Compulsory during 200 OK Response.
Sample Status Codes And Messages
{
"error": {
"reason": "ERROR",
"status": 500,
"message": "Internal Server Error",
"type": "Internal Server Error",
"statusCode": 500,
"name": "error"
}
}